version: "2.4"

services:

  cm:
    image: ${REGISTRY}${COMPOSE_PROJECT_NAME}-cm:${VERSION}
    build:
      context: ./cm
      args:
        BASE_IMAGE: ${SITECORE_DOCKER_REGISTRY}sitecore-xp0-cm:${SITECORE_VERSION}
        TOOLING_IMAGE: ${SITECORE_TOOLS_REGISTRY}sitecore-docker-tools-assets:${TOOLS_VERSION}
    volumes:
      - ${LOCAL_DEPLOY_PATH}\website:C:\deploy
      - ${LOCAL_DATA_PATH}\cm:C:\inetpub\wwwroot\App_Data\logs
      - ..\seria:C:\Unicorn\seria
    entrypoint: powershell -Command "& C:\tools\entrypoints\iis\Development.ps1"
    labels:
      - "traefik.http.routers.cm-secure.rule=Host(`${CM_HOST}`,`${SITE1_HOST}`,`${SITE2_HOST}`)"
      - "sitecore_instance_url=https://${CM_HOST}/sitecore"
    mem_limit: 4GB